Past
/v4/locational-marginal-price-day-ahead/pastGet the day-ahead locational marginal price for a pricing node at a given datetime. Addressed by node, not zone.
Query Parameters
A pricing node identifier. Required — LMP endpoints are addressed by node rather than zone.
The datetime to get the data for. By default this needs to be the specific hour unless another temporal granularity is requested.
The temporal granularity of the data to get.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/locational-marginal-price-day-ahead/past?node=ROGUE_LNODER1&datetime=2024-05-19T03%3A00%3A00Z"{ "entityType": "PNODE", "entityName": "ROGUE_LNODER1", "datetime": "2025-12-10T10:00:00.000Z", "createdAt": "2025-12-09T14:41:00.558Z", "updatedAt": "2025-12-09T14:41:00.558Z", "lmp": 40, "unit": "USD/MWh", "congestion": 0, "energy": 42, "loss": -2, "greenhouseGas": 22, "source": "nordpool.com", "temporalGranularity": "hourly"}Playground
/v4/locational-marginal-price-day-ahead/pastHistory GET
Get the last 24 hours of day-ahead locational marginal price for a pricing node. Addressed by `node`, not `zone`.
Past Range GET
Get the day-ahead locational marginal price for a pricing node and a given datetime range. Addressed by `node`, not `zone`. > [!CAUTION] > The time range is limited to 10 days (240 hours) for an hourly granularity, and to 100 days for a daily granularity. > If you need more data, **you can loop over time ranges**.